processing script editor window does not have close button on linux

2013-11-29 06:35 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/Core

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17776

Description

see subject: on linux the script editor does not have a close icon with me.

only way to close the editor window is alt-F4

on windows there is a nice close button.... see screenshots attached

History

#1 - 2013-11-29 06:42 AM - Richard Duivenvoorde

- File deleted (windows.png)

#2 - 2013-11-29 06:43 AM - Richard Duivenvoorde

- File windows.png added

#3 - 2013-12-04 11:16 PM - Alexander Bruy

- Assignee changed from Victor Olaya to Alexander Bruy

- Status changed from Open to In Progress

This is strange, because I have close button under Linux (screenshot attached) with OpenBox. Maybe this is related to different WM/DE?

BTW, can some one move this ticket to Processing bugtracker?

#4 - 2013-12-04 11:36 PM - Alexander Bruy

- File linux-ob.png added

#5 - 2013-12-04 11:47 PM - Alexander Bruy

- Status changed from In Progress to Feedback

Should be fixed in commit:e1186f164d. Please test.

#6 - 2013-12-05 12:48 PM - Richard Duivenvoorde

- File 33.png added

Well, I have a close button in the titlebar now :-)
see screenshot

if you now could explicitly set this buttons, can you maybe also have a look at 

#8699

because this looks like a similar problem, only explicitly unsetting this button

I think this one can be closed then

#7 - 2014-01-11 06:17 AM - Salvatore Larosa

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#8 - 2015-06-07 04:30 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

Files

linux.png 306 KB 2013-11-29 Richard Duivenvoorde

windows.png 150 KB 2013-11-29 Richard Duivenvoorde

linux-ob.png 58.9 KB 2013-12-04 Alexander Bruy

33.png 295 KB 2013-12-05 Richard Duivenvoorde
